Opened 13 years ago

Closed 13 years ago

#57 closed enhancement (fixed)

duplicate gdal-grass and grass-gdal-plugins packages

Reported by: hamish Owned by: osgeo4w-dev@…
Priority: minor Component: Package
Version: Keywords: grass gdal qgis
Cc: grass-dev@…

Description

Hi,

it is a bit confusing that there is both a gdal-grass and a grass-gdal-plugins package (by versions I see the second one is gdal v1.6, while gdal-grass is v1.5)

Perhaps the grass-gdal-plugins one should be renamed gdal1.6-grass or otherwise.

Also, I notice that the qgis-grass-plugin package depends on both grass and qgis. Does it have to? I notice in the debian packaging that it only depends on the equivalent of gdal-grass, and not the full grass package. i.e. it should be able to be used to view GRASS data without a grass binary install present. (??)

not really sure if any changes should be made here, but I thought I'd raise the issue.

Hamish

Change History (1)

in reply to:  description comment:1 by jef, 13 years ago

Resolution: fixed
Status: newclosed

Replying to hamish:

it is a bit confusing that there is both a gdal-grass and a grass-gdal-plugins package (by versions I see the second one is gdal v1.6, while gdal-grass is v1.5)

gdal-grass depends on 1.5 and gdal16-grass depends on 1.6 - there is no grass-gdal-plugins (anymore?).

qgis-grass-plugin depends on gdal-grass.

gdal16-grass is outdated as there was a qgis-grass-plugin (as there was a qgis) that depended on GDAL 1.6. I reverted that on an advice from FrankW.

Perhaps the grass-gdal-plugins one should be renamed gdal1.6-grass or otherwise.

If that was the case, I must have already fixed that.

Also, I notice that the qgis-grass-plugin package depends on both grass and qgis. Do it have to?

Yes, the QGIS grass plugin depends on the GRASS libraries (in the toolbox).

I notice in the debian packaging that it only depends on the equivalent of gdal-grass,

On Debian gdal-grass depends on the full grass package. If I'm not mistaken grass rasters should be viewable with just gdal-grass present, it doesn't need the grass plugin at all.

Note: See TracTickets for help on using tickets.